org.apache.sysds.lops

## Enum WeightedCrossEntropy.WCeMMType

- java.lang.Object
- - java.lang.Enum<WeightedCrossEntropy.WCeMMType>
  - - org.apache.sysds.lops.WeightedCrossEntropy.WCeMMType

- All Implemented Interfaces:
    Serializable, Comparable<WeightedCrossEntropy.WCeMMType>
  Enclosing class:
    WeightedCrossEntropy

      public static enum WeightedCrossEntropy.WCeMMType
      extends Enum<WeightedCrossEntropy.WCeMMType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `BASIC_EPS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasFourInputs()`
    `static WeightedCrossEntropy.WCeMMType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WeightedCrossEntropy.WCeMMType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final WeightedCrossEntropy.WCeMMType BASIC

    - #### BASIC_EPS

          public static final WeightedCrossEntropy.WCeMMType BASIC_EPS

  - ### Method Detail

    - #### values

          public static WeightedCrossEntropy.WCeMMType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WeightedCrossEntropy.WCeMMType c : WeightedCrossEntropy.WCeMMType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WeightedCrossEntropy.WCeMMType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasFourInputs

          public boolean hasFourInputs()

Copyright © 2021 The Apache Software Foundation. All rights reserved.